Users
GET
/organizations/{organizationId}/users
Get a list of members for an organization.
Paramètres de requête
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
preview
boolean
searchTerm
string
Search term used to filter organizations by name
userIds
array
List of user IDs.
email
string
Get an organization membership for this email address. Exact matching only.
status
string
Filter organization memberships by their status.
Possible values: banned, invited, active
role
array
Filter organization memberships by their role.
Corps de la réponse
results
array of object
obligatoire
Afficher les attributs enfants
results.user
object
obligatoire
Afficher les attributs enfants
A user on the platform.
results.user.activeSessions
integer
obligatoire
The number of logged in session for the user.
results.user.avatarUrl
string
URL to the user's profile picture.
results.user.badges
array of string
results.user.bio
string
The user's description
results.user.createdAt
string
obligatoire
When the user was created.
results.user.defaultEmail
string
The default email of the user in the list of emails.
results.user.emails
array of object
obligatoire
Email addresses associated with user.
Afficher les attributs enfants
results.user.emails.createdAt
string
obligatoire
When this record was created.
results.user.emails.email
string
obligatoire
The email address.
results.user.emails.id
string
obligatoire
ID of the email record.
results.user.emails.passwordSet
boolean
obligatoire
Whether there is a password set for this email address.
results.user.emails.tokenSet
boolean
obligatoire
Whether there is a token set for this email address.
results.user.emails.updatedAt
string
When this record was last updated.
results.user.emails.userId
string
obligatoire
ID of the user this record is associated with.
results.user.emails.verified
boolean
obligatoire
Whether the email address is verified.
results.user.id
string
obligatoire
ID of the user
results.user.identities
array of object
Third-party identities associated with user.
Afficher les attributs enfants
results.user.identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
results.user.identities.createdAt
string
Timestamp when the identity was created.
results.user.identities.email
string
The email of the user on the third-party provider.
results.user.identities.id
string
The ID of the user on the third-party provider.
results.user.identities.name
string
The name of the user on the third-party provider.
results.user.identities.provider
string
The name of the provider
results.user.identities.updatedAt
string
Timestamp when the identity was last updated.
results.user.locale
string
results.user.name
string
obligatoire
The display name for the user
results.user.phoneNumber
string
results.user.phoneNumbers
array of object
obligatoire
The phone numbers associated with the user.
Afficher les attributs enfants
results.user.phoneNumbers.createdAt
string
obligatoire
results.user.phoneNumbers.id
string
obligatoire
results.user.phoneNumbers.phoneNumber
string
obligatoire
results.user.phoneNumbers.primary
boolean
obligatoire
results.user.phoneNumbers.updatedAt
string
obligatoire
results.user.phoneNumbers.userId
string
obligatoire
results.user.phoneNumbers.verified
boolean
obligatoire
results.user.status
string
obligatoire
The status of the user
Possible values: pending, active, deleted, invited, banned
results.user.timezone
string
The default timezone for the user.
results.user.updatedAt
string
obligatoire
When the user was last updated.
results.user.userFraudInformation
object
Afficher les attributs enfants
results.user.userFraudInformation.score
number
Fraud score
results.user.userFraudInformation.userId
string
Fraud user id
Simplified view of the User object
results.user.id
string
obligatoire
ID of the user
results.user.name
string
obligatoire
The display name for the user
results.user.bio
string
The user's description
results.user.avatarUrl
string
URL to the user's profile picture.
results.user.locale
string
results.user.timezone
string
The default timezone for the user.
results.user.attributes
object
results.user.badges
array of string
results.user.createdAt
string
obligatoire
When the user was created.
results.user.defaultEmail
string
The default email of the user in the list of emails.
results.status
string
obligatoire
The status of user's membership on the organization.
Possible values: banned, invited, active
results.createdAt
string
obligatoire
When the membership was created.
results.updatedAt
string
obligatoire
When the membership was last updated.
results.attributes
object
Authorization context for the membership.
results.roleIds
array of string
IDs of IAM roles assigned to the user.
results.roleRefs
array of object
The list of roles to assign to the membership
Afficher les attributs enfants
results.roleRefs.id
string
obligatoire
results.roleRefs.type
string
obligatoire
Possible values: organization, managed
results.roleRefs.workspaces
array of string
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Exemple de code
curl -X GET 'https://api.bird.com/organizations/{organizationId}/users' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/users
Add a user to an organization. This can either be an existing user, or a new user that is invited to the platform.
Corps de la requête
Add an existing user to the organization
userId
string
obligatoire
The user ID
roleRefs
array of object
The list of roles to assign to the membership
Afficher les paramètres enfants
roleRefs.id
string
obligatoire
roleRefs.type
string
obligatoire
Possible values: organization, managed
roleRefs.workspaces
array of string
roleIds
array of string
The list of Role IDs to assign to the user
attributes
object
Structured attributes for organization user membership (preferred method)
Afficher les paramètres enfants
attributes.roles
array of string
List of role slugs (consistent with workspace users)
Invite a new user to the organization
name
string
obligatoire
The name of the person to invite
email
string
obligatoire
The email address of the person to invite
roleRefs
array of object
The list of roles to assign to the membership (legacy, use attributes instead)
Afficher les paramètres enfants
roleRefs.id
string
obligatoire
roleRefs.type
string
obligatoire
Possible values: organization, managed
roleRefs.workspaces
array of string
roleIds
array of string
The list of Role IDs to assign to the user (legacy, use attributes instead)
attributes
object
Structured attributes for organization user membership (preferred method)
Afficher les paramètres enfants
attributes.roles
array of string
List of role slugs (consistent with workspace users)
Exemple de code
curl -X POST 'https://api.bird.com/organizations/{organizationId}/users' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/users/{userId}
Get a single organization membership record.
Paramètres de requête
preview
boolean
Corps de la réponse
user
object
obligatoire
Afficher les attributs enfants
A user on the platform.
user.activeSessions
integer
obligatoire
The number of logged in session for the user.
user.avatarUrl
string
URL to the user's profile picture.
user.badges
array of string
user.bio
string
The user's description
user.createdAt
string
obligatoire
When the user was created.
user.defaultEmail
string
The default email of the user in the list of emails.
user.emails
array of object
obligatoire
Email addresses associated with user.
Afficher les attributs enfants
user.emails.createdAt
string
obligatoire
When this record was created.
user.emails.email
string
obligatoire
The email address.
user.emails.id
string
obligatoire
ID of the email record.
user.emails.passwordSet
boolean
obligatoire
Whether there is a password set for this email address.
user.emails.tokenSet
boolean
obligatoire
Whether there is a token set for this email address.
user.emails.updatedAt
string
When this record was last updated.
user.emails.userId
string
obligatoire
ID of the user this record is associated with.
user.emails.verified
boolean
obligatoire
Whether the email address is verified.
user.id
string
obligatoire
ID of the user
user.identities
array of object
Third-party identities associated with user.
Afficher les attributs enfants
user.identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
user.identities.createdAt
string
Timestamp when the identity was created.
user.identities.email
string
The email of the user on the third-party provider.
user.identities.id
string
The ID of the user on the third-party provider.
user.identities.name
string
The name of the user on the third-party provider.
user.identities.provider
string
The name of the provider
user.identities.updatedAt
string
Timestamp when the identity was last updated.
user.locale
string
user.name
string
obligatoire
The display name for the user
user.phoneNumber
string
user.phoneNumbers
array of object
obligatoire
The phone numbers associated with the user.
Afficher les attributs enfants
user.phoneNumbers.createdAt
string
obligatoire
user.phoneNumbers.id
string
obligatoire
user.phoneNumbers.phoneNumber
string
obligatoire
user.phoneNumbers.primary
boolean
obligatoire
user.phoneNumbers.updatedAt
string
obligatoire
user.phoneNumbers.userId
string
obligatoire
user.phoneNumbers.verified
boolean
obligatoire
user.status
string
obligatoire
The status of the user
Possible values: pending, active, deleted, invited, banned
user.timezone
string
The default timezone for the user.
user.updatedAt
string
obligatoire
When the user was last updated.
user.userFraudInformation
object
Afficher les attributs enfants
user.userFraudInformation.score
number
Fraud score
user.userFraudInformation.userId
string
Fraud user id
Simplified view of the User object
user.id
string
obligatoire
ID of the user
user.name
string
obligatoire
The display name for the user
user.bio
string
The user's description
user.avatarUrl
string
URL to the user's profile picture.
user.locale
string
user.timezone
string
The default timezone for the user.
user.attributes
object
user.badges
array of string
user.createdAt
string
obligatoire
When the user was created.
user.defaultEmail
string
The default email of the user in the list of emails.
status
string
obligatoire
The status of user's membership on the organization.
Possible values: banned, invited, active
createdAt
string
obligatoire
When the membership was created.
updatedAt
string
obligatoire
When the membership was last updated.
roleIds
array of string
IDs of IAM roles assigned to the user.
roleRefs
array of object
The list of roles to assign to the membership
Afficher les attributs enfants
roleRefs.id
string
obligatoire
roleRefs.type
string
obligatoire
Possible values: organization, managed
roleRefs.workspaces
array of string
teamRoles
array of object
The list of roles inherited from teams
Afficher les attributs enfants
teamRoles.id
string
obligatoire
teamRoles.name
string
obligatoire
teamRoles.roleRefs
array of object
The list of roles assigned to the team
Afficher les attributs enfants
teamRoles.roleRefs.id
string
obligatoire
teamRoles.roleRefs.type
string
obligatoire
Possible values: organization, managed
teamRoles.roleRefs.workspaces
array of string
attributes
object
Additional attributes for the membership
Exemple de code
curl -X GET 'https://api.bird.com/organizations/{organizationId}/users/{userId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/users/{userId}
Remove a user from the organization
Exemple de code
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/users/{userId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/users/{userId}
Update the properties of the organization membership for the user.
Corps de la requête
roleRefs
array of object
The list of roles to assign to the membership (legacy, use attributes instead)
Afficher les paramètres enfants
roleRefs.id
string
obligatoire
roleRefs.type
string
obligatoire
Possible values: organization, managed
roleRefs.workspaces
array of string
roleIds
array of string
Roles to assign to the user (legacy, use attributes instead)
attributes
object
Structured attributes for organization user membership (preferred method)
Afficher les paramètres enfants
attributes.roles
array of string
List of role slugs (consistent with workspace users)
roleTreatment
string
Used to allow removing the legacy roles for the user
Corps de la réponse
user
object
obligatoire
Afficher les attributs enfants
A user on the platform.
user.activeSessions
integer
obligatoire
The number of logged in session for the user.
user.avatarUrl
string
URL to the user's profile picture.
user.badges
array of string
user.bio
string
The user's description
user.createdAt
string
obligatoire
When the user was created.
user.defaultEmail
string
The default email of the user in the list of emails.
user.emails
array of object
obligatoire
Email addresses associated with user.
Afficher les attributs enfants
user.emails.createdAt
string
obligatoire
When this record was created.
user.emails.email
string
obligatoire
The email address.
user.emails.id
string
obligatoire
ID of the email record.
user.emails.passwordSet
boolean
obligatoire
Whether there is a password set for this email address.
user.emails.tokenSet
boolean
obligatoire
Whether there is a token set for this email address.
user.emails.updatedAt
string
When this record was last updated.
user.emails.userId
string
obligatoire
ID of the user this record is associated with.
user.emails.verified
boolean
obligatoire
Whether the email address is verified.
user.id
string
obligatoire
ID of the user
user.identities
array of object
Third-party identities associated with user.
Afficher les attributs enfants
user.identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
user.identities.createdAt
string
Timestamp when the identity was created.
user.identities.email
string
The email of the user on the third-party provider.
user.identities.id
string
The ID of the user on the third-party provider.
user.identities.name
string
The name of the user on the third-party provider.
user.identities.provider
string
The name of the provider
user.identities.updatedAt
string
Timestamp when the identity was last updated.
user.locale
string
user.name
string
obligatoire
The display name for the user
user.phoneNumber
string
user.phoneNumbers
array of object
obligatoire
The phone numbers associated with the user.
Afficher les attributs enfants
user.phoneNumbers.createdAt
string
obligatoire
user.phoneNumbers.id
string
obligatoire
user.phoneNumbers.phoneNumber
string
obligatoire
user.phoneNumbers.primary
boolean
obligatoire
user.phoneNumbers.updatedAt
string
obligatoire
user.phoneNumbers.userId
string
obligatoire
user.phoneNumbers.verified
boolean
obligatoire
user.status
string
obligatoire
The status of the user
Possible values: pending, active, deleted, invited, banned
user.timezone
string
The default timezone for the user.
user.updatedAt
string
obligatoire
When the user was last updated.
user.userFraudInformation
object
Afficher les attributs enfants
user.userFraudInformation.score
number
Fraud score
user.userFraudInformation.userId
string
Fraud user id
Simplified view of the User object
user.id
string
obligatoire
ID of the user
user.name
string
obligatoire
The display name for the user
user.bio
string
The user's description
user.avatarUrl
string
URL to the user's profile picture.
user.locale
string
user.timezone
string
The default timezone for the user.
user.attributes
object
user.badges
array of string
user.createdAt
string
obligatoire
When the user was created.
user.defaultEmail
string
The default email of the user in the list of emails.
status
string
obligatoire
The status of user's membership on the organization.
Possible values: banned, invited, active
createdAt
string
obligatoire
When the membership was created.
updatedAt
string
obligatoire
When the membership was last updated.
attributes
object
Authorization context for the membership.
roleIds
array of string
IDs of IAM roles assigned to the user.
roleRefs
array of object
The list of roles to assign to the membership
Afficher les attributs enfants
roleRefs.id
string
obligatoire
roleRefs.type
string
obligatoire
Possible values: organization, managed
roleRefs.workspaces
array of string
Exemple de code
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/users/{userId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'